summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-lisp/clisp')
-rw-r--r--dev-lisp/clisp/Manifest2
-rw-r--r--dev-lisp/clisp/clisp-2.48-r1.ebuild166
-rw-r--r--dev-lisp/clisp/clisp-2.48-r2.ebuild165
-rw-r--r--dev-lisp/clisp/clisp-2.49-r8.ebuild145
-rw-r--r--dev-lisp/clisp/files/clisp-2.48-bits_ipctypes_to_sys_ipc.patch21
-rw-r--r--dev-lisp/clisp/files/clisp-2.49-bits_ipctypes_to_sys_ipc.patch21
-rw-r--r--dev-lisp/clisp/files/clisp-2.49-get_hostname.patch56
-rw-r--r--dev-lisp/clisp/files/clisp-2.49-tinfo.patch15
-rw-r--r--dev-lisp/clisp/metadata.xml28
9 files changed, 619 insertions, 0 deletions
diff --git a/dev-lisp/clisp/Manifest b/dev-lisp/clisp/Manifest
new file mode 100644
index 00000000000..455ce517c3c
--- /dev/null
+++ b/dev-lisp/clisp/Manifest
@@ -0,0 +1,2 @@
+DIST clisp-2.48.tar.bz2 7885098 SHA256 05b83f560859a23679ccfc073a128a5377fe9489d734431a3dc32ef88f0c3dc2 SHA512 3288b6a2973c924006b14bbed1e8e3e688276a187ac2a6c7851dc7ae699e7832d30e5e7eecdabc76c08c7e8e8ce1b562eb97a44570d3035e558ea2310de2b719 WHIRLPOOL 6be21d4e3e88a1abf4536e1dfc01f99b714b0543494e214647c6d292a5ce355119a415ecfeae32823670bd8ddb918621531b2c8b43edcbbb33313312acfa28ab
+DIST clisp-2.49.tar.bz2 8091011 SHA256 8132ff353afaa70e6b19367a25ae3d5a43627279c25647c220641fed00f8e890 SHA512 eef66fc85199a2c283b616db61bf67ff103eeb0f19fa907da48994dc790b6f5f8d0c74fb3bd723c6b827c0ff3cfd89fa6ba67934fc669ed5d5249044b5140d81 WHIRLPOOL fe14d3cd09ad5768c72470b71068331623239a9d5c7247267be25bc4fc97d91ca6c53dd0a495b3d2a8c45faeaa01060aa135a19fea5f76d2968ffc505f5b6416
diff --git a/dev-lisp/clisp/clisp-2.48-r1.ebuild b/dev-lisp/clisp/clisp-2.48-r1.ebuild
new file mode 100644
index 00000000000..47e641c8baa
--- /dev/null
+++ b/dev-lisp/clisp/clisp-2.48-r1.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit flag-o-matic eutils toolchain-funcs multilib
+
+DESCRIPTION="A portable, bytecode-compiled implementation of Common Lisp"
+HOMEPAGE="http://clisp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="alpha amd64 ia64 ppc -sparc x86"
+IUSE="berkdb hyperspec X new-clx dbus fastcgi gdbm gtk pari +pcre postgres +readline svm -threads +unicode +zlib"
+
+RDEPEND="virtual/libiconv
+ >=dev-libs/libsigsegv-2.4
+ >=dev-libs/ffcall-1.10
+ dbus? ( sys-apps/dbus )
+ fastcgi? ( dev-libs/fcgi )
+ gdbm? ( sys-libs/gdbm )
+ gtk? ( >=x11-libs/gtk+-2.10:2 >=gnome-base/libglade-2.6:2.0 )
+ pari? ( >=sci-mathematics/pari-2.3.0 )
+ postgres? ( >=dev-db/postgresql-8.0 )
+ readline? ( >=sys-libs/readline-5.0 )
+ pcre? ( dev-libs/libpcre )
+ svm? ( sci-libs/libsvm )
+ zlib? ( sys-libs/zlib )
+ X? ( new-clx? ( x11-libs/libXpm ) )
+ hyperspec? ( dev-lisp/hyperspec )
+ berkdb? ( sys-libs/db:4.5 )"
+
+DEPEND="${RDEPEND}
+ X? ( new-clx? ( x11-misc/imake x11-proto/xextproto ) )"
+
+PDEPEND="dev-lisp/gentoo-init"
+
+enable_modules() {
+ [[ $# = 0 ]] && die "${FUNCNAME[0]} must receive at least one argument"
+ for m in "$@" ; do
+ einfo "enabling module $m"
+ myconf+=" --with-module=${m}"
+ done
+}
+
+BUILDDIR="builddir"
+
+# modules not enabled:
+# * berkdb: must figure out a way to make the configure script pick up the
+# currect version of the library and headers
+# * dirkey: fails to compile, requiring windows.h, possibly wrong #ifdefs
+# * matlab, netica: not in portage
+# * oracle: can't install oracle-instantclient
+
+src_prepare() {
+ # More than -O1 breaks alpha/ia64
+ if use alpha || use ia64; then
+ sed -i -e 's/-O2//g' src/makemake.in || die
+ fi
+}
+
+src_configure() {
+ # We need this to build on alpha/ia64
+ if use alpha || use ia64; then
+ replace-flags -O? -O1
+ append-flags '-D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP'
+ fi
+
+ # QA issue with lisp.run
+ append-flags -Wa,--noexecstack
+
+ # built-in features
+ local myconf="--with-ffcall --without-dynamic-modules"
+# There's a problem with jit_allocai function
+# if use jit; then
+# myconf+=" --with-jitc=lightning"
+# fi
+ if use threads; then
+ myconf+=" --with-threads=POSIX_THREADS"
+ fi
+
+ # default modules
+ enable_modules wildcard rawsock
+ # optional modules
+ use elibc_glibc && enable_modules bindings/glibc
+ if use X; then
+ if use new-clx; then
+ enable_modules clx/new-clx
+ else
+ enable_modules clx/mit-clx
+ fi
+ fi
+ if use postgres; then
+ enable_modules postgresql
+ append-flags -I$(pg_config --includedir)
+ fi
+ if use berkdb; then
+ enable_modules berkeley-db
+ append-flags -I/usr/include/db4.5
+ fi
+ use dbus && enable_modules dbus
+ use fastcgi && enable_modules fastcgi
+ use gdbm && enable_modules gdbm
+ use gtk && enable_modules gtk2
+ use pari && enable_modules pari
+ use pcre && enable_modules pcre
+ use svm && enable_modules libsvm
+ use zlib && enable_modules zlib
+
+ if use hyperspec; then
+ CLHSROOT="file:///usr/share/doc/hyperspec/HyperSpec/"
+ else
+ CLHSROOT="http://www.lispworks.com/reference/HyperSpec/"
+ fi
+
+ # configure chokes on --sysconfdir option
+ local configure="./configure --prefix=/usr --libdir=/usr/$(get_libdir) \
+ $(use_with readline) $(use_with unicode) \
+ ${myconf} --hyperspec=${CLHSROOT} ${BUILDDIR}"
+ einfo "${configure}"
+ ${configure} || die "./configure failed"
+
+ sed -i 's,"vi","nano",g' "${BUILDDIR}"/config.lisp || die
+
+ IMPNOTES="file://${ROOT%/}/usr/share/doc/${PN}-${PVR}/html/impnotes.html"
+ sed -i "s,http://clisp.cons.org/impnotes/,${IMPNOTES},g" \
+ "${BUILDDIR}"/config.lisp || die
+}
+
+src_compile() {
+ export VARTEXFONTS="${T}"/fonts
+ cd "${BUILDDIR}"
+ # parallel build fails
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ pushd "${BUILDDIR}"
+ make DESTDIR="${D}" prefix=/usr install-bin || die
+ doman clisp.1 || die
+ dodoc SUMMARY README* NEWS MAGIC.add ANNOUNCE || die
+ fperms a+x /usr/$(get_libdir)/clisp-${PV/_*/}/clisp-link || die
+ # stripping them removes common symbols (defined but uninitialised variables)
+ # which are then needed to build modules...
+ export STRIP_MASK="*/usr/$(get_libdir)/clisp-${PV}/*/*"
+ popd
+ dohtml doc/impnotes.{css,html} doc/regexp.html doc/clisp.png || die
+ dodoc doc/{CLOS-guide,LISP-tutorial}.txt || die
+}
+
+pkg_postinst() {
+ if use threads || use jit; then
+ while read line; do elog ${line}; done <<EOF
+
+Upstream considers threads to be of Alpha quality, therefore
+it is likely that you will encounter bugs in using them. If you do,
+please report bugs upstream:
+
+Mailing list: https://lists.sourceforge.net/lists/listinfo/clisp-devel
+Bug tracker: http://sourceforge.net/tracker/?atid=101355&group_id=1355
+
+EOF
+ fi
+}
diff --git a/dev-lisp/clisp/clisp-2.48-r2.ebuild b/dev-lisp/clisp/clisp-2.48-r2.ebuild
new file mode 100644
index 00000000000..ec41e9f3413
--- /dev/null
+++ b/dev-lisp/clisp/clisp-2.48-r2.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit flag-o-matic eutils toolchain-funcs multilib
+
+DESCRIPTION="A portable, bytecode-compiled implementation of Common Lisp"
+HOMEPAGE="http://clisp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~alpha amd64 ~ia64 ~ppc -sparc x86"
+IUSE="berkdb hyperspec X new-clx dbus fastcgi gdbm gtk pari +pcre postgres +readline svm -threads +unicode +zlib"
+
+RDEPEND="virtual/libiconv
+ >=dev-libs/libsigsegv-2.4
+ >=dev-libs/ffcall-1.10
+ dbus? ( sys-apps/dbus )
+ fastcgi? ( dev-libs/fcgi )
+ gdbm? ( sys-libs/gdbm )
+ gtk? ( >=x11-libs/gtk+-2.10:2 >=gnome-base/libglade-2.6:2.0 )
+ pari? ( >=sci-mathematics/pari-2.3.0 )
+ postgres? ( >=dev-db/postgresql-8.0 )
+ readline? ( >=sys-libs/readline-5.0 )
+ pcre? ( dev-libs/libpcre )
+ svm? ( sci-libs/libsvm )
+ zlib? ( sys-libs/zlib )
+ X? ( new-clx? ( x11-libs/libXpm ) )
+ hyperspec? ( dev-lisp/hyperspec )
+ berkdb? ( sys-libs/db:4.7 )"
+
+DEPEND="${RDEPEND}
+ X? ( new-clx? ( x11-misc/imake x11-proto/xextproto ) )"
+
+PDEPEND="dev-lisp/gentoo-init"
+
+enable_modules() {
+ [[ $# = 0 ]] && die "${FUNCNAME[0]} must receive at least one argument"
+ for m in "$@" ; do
+ einfo "enabling module $m"
+ myconf+=" --with-module=${m}"
+ done
+}
+
+BUILDDIR="builddir"
+
+# modules not enabled:
+# * dirkey: fails to compile, requiring windows.h, possibly wrong #ifdefs
+# * matlab, netica: not in portage
+# * oracle: can't install oracle-instantclient
+
+src_prepare() {
+ # More than -O1 breaks alpha/ia64
+ if use alpha || use ia64; then
+ sed -i -e 's/-O2//g' src/makemake.in || die
+ fi
+ epatch "${FILESDIR}/${P}-bits_ipctypes_to_sys_ipc.patch"
+}
+
+src_configure() {
+ # We need this to build on alpha/ia64
+ if use alpha || use ia64; then
+ replace-flags -O? -O1
+ append-flags '-D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP'
+ fi
+
+ # QA issue with lisp.run
+ append-flags -Wa,--noexecstack
+
+ # built-in features
+ local myconf="--with-ffcall --without-dynamic-modules"
+# There's a problem with jit_allocai function
+# if use jit; then
+# myconf+=" --with-jitc=lightning"
+# fi
+ if use threads; then
+ myconf+=" --with-threads=POSIX_THREADS"
+ fi
+
+ # default modules
+ enable_modules wildcard rawsock
+ # optional modules
+ use elibc_glibc && enable_modules bindings/glibc
+ if use X; then
+ if use new-clx; then
+ enable_modules clx/new-clx
+ else
+ enable_modules clx/mit-clx
+ fi
+ fi
+ if use postgres; then
+ enable_modules postgresql
+ append-flags -I$(pg_config --includedir)
+ fi
+ if use berkdb; then
+ enable_modules berkeley-db
+ append-flags -I/usr/include/db4.7
+ fi
+ use dbus && enable_modules dbus
+ use fastcgi && enable_modules fastcgi
+ use gdbm && enable_modules gdbm
+ use gtk && enable_modules gtk2
+ use pari && enable_modules pari
+ use pcre && enable_modules pcre
+ use svm && enable_modules libsvm
+ use zlib && enable_modules zlib
+
+ if use hyperspec; then
+ CLHSROOT="file:///usr/share/doc/hyperspec/HyperSpec/"
+ else
+ CLHSROOT="http://www.lispworks.com/reference/HyperSpec/"
+ fi
+
+ # configure chokes on --sysconfdir option
+ local configure="./configure --prefix=/usr --libdir=/usr/$(get_libdir) \
+ $(use_with readline) $(use_with unicode) \
+ ${myconf} --hyperspec=${CLHSROOT} ${BUILDDIR}"
+ einfo "${configure}"
+ ${configure} || die "./configure failed"
+
+ sed -i 's,"vi","nano",g' "${BUILDDIR}"/config.lisp || die
+
+ IMPNOTES="file://${ROOT%/}/usr/share/doc/${PN}-${PVR}/html/impnotes.html"
+ sed -i "s,http://clisp.cons.org/impnotes/,${IMPNOTES},g" \
+ "${BUILDDIR}"/config.lisp || die
+}
+
+src_compile() {
+ export VARTEXFONTS="${T}"/fonts
+ cd "${BUILDDIR}"
+ # parallel build fails
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ pushd "${BUILDDIR}"
+ make DESTDIR="${D}" prefix=/usr install-bin || die
+ doman clisp.1 || die
+ dodoc SUMMARY README* NEWS MAGIC.add ANNOUNCE || die
+ fperms a+x /usr/$(get_libdir)/clisp-${PV/_*/}/clisp-link || die
+ # stripping them removes common symbols (defined but uninitialised variables)
+ # which are then needed to build modules...
+ export STRIP_MASK="*/usr/$(get_libdir)/clisp-${PV}/*/*"
+ popd
+ dohtml doc/impnotes.{css,html} doc/regexp.html doc/clisp.png || die
+ dodoc doc/{CLOS-guide,LISP-tutorial}.txt || die
+}
+
+pkg_postinst() {
+ if use threads || use jit; then
+ while read line; do elog ${line}; done <<EOF
+
+Upstream considers threads to be of Alpha quality, therefore
+it is likely that you will encounter bugs in using them. If you do,
+please report bugs upstream:
+
+Mailing list: https://lists.sourceforge.net/lists/listinfo/clisp-devel
+Bug tracker: http://sourceforge.net/tracker/?atid=101355&group_id=1355
+
+EOF
+ fi
+}
diff --git a/dev-lisp/clisp/clisp-2.49-r8.ebuild b/dev-lisp/clisp/clisp-2.49-r8.ebuild
new file mode 100644
index 00000000000..68873116840
--- /dev/null
+++ b/dev-lisp/clisp/clisp-2.49-r8.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic multilib toolchain-funcs
+
+DESCRIPTION="A portable, bytecode-compiled implementation of Common Lisp"
+HOMEPAGE="http://clisp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/clisp/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="2/${PV}"
+KEYWORDS="amd64 ~ppc ~sparc x86"
+IUSE="hyperspec X berkdb dbus fastcgi gdbm gtk pari +pcre postgres +readline svm -threads +unicode +zlib"
+# "jit" disabled ATM
+
+RDEPEND=">=dev-lisp/asdf-2.33-r3
+ virtual/libiconv
+ >=dev-libs/libsigsegv-2.4
+ >=dev-libs/ffcall-1.10
+ dbus? ( sys-apps/dbus )
+ fastcgi? ( dev-libs/fcgi )
+ gdbm? ( sys-libs/gdbm )
+ gtk? ( >=x11-libs/gtk+-2.10 >=gnome-base/libglade-2.6 )
+ pari? ( <sci-mathematics/pari-2.5.0 )
+ postgres? ( >=dev-db/postgresql-8.0 )
+ readline? ( >=sys-libs/readline-5.0 )
+ pcre? ( dev-libs/libpcre )
+ svm? ( sci-libs/libsvm )
+ zlib? ( sys-libs/zlib )
+ X? ( x11-libs/libXpm )
+ hyperspec? ( dev-lisp/hyperspec )
+ berkdb? ( sys-libs/db:4.8 )"
+# jit? ( >=dev-libs/lightning-1.2 )
+
+DEPEND="${RDEPEND}
+ X? ( x11-misc/imake x11-proto/xextproto )"
+
+enable_modules() {
+ [[ $# = 0 ]] && die "${FUNCNAME[0]} must receive at least one argument"
+ for m in "$@" ; do
+ einfo "enabling module $m"
+ myconf+=" --with-module=${m}"
+ done
+}
+
+BUILDDIR="builddir"
+
+# modules not enabled:
+# * berkdb: must figure out a way to make the configure script pick up the
+# currect version of the library and headers
+# * dirkey: fails to compile, requiring windows.h, possibly wrong #ifdefs
+# * matlab, netica: not in portage
+# * oracle: can't install oracle-instantclient
+
+src_prepare() {
+ # More than -O1 breaks alpha/ia64
+ if use alpha || use ia64; then
+ sed -i -e 's/-O2//g' src/makemake.in || die
+ fi
+ epatch "${FILESDIR}"/${P}-bits_ipctypes_to_sys_ipc.patch
+ epatch "${FILESDIR}"/${P}-get_hostname.patch
+ epatch "${FILESDIR}"/${P}-tinfo.patch
+}
+
+src_configure() {
+ # We need this to build on alpha/ia64
+ if use alpha || use ia64; then
+ replace-flags -O? -O1
+ append-flags '-D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP'
+ fi
+
+ # QA issue with lisp.run
+ append-flags -Wa,--noexecstack
+
+ # built-in features
+ local myconf="--with-ffcall --without-dynamic-modules"
+# There's a problem with jit_allocai function
+# if use jit; then
+# myconf+=" --with-jitc=lightning"
+# fi
+ if use threads; then
+ myconf+=" --with-threads=POSIX_THREADS"
+ fi
+
+ # default modules
+ enable_modules wildcard rawsock
+ # optional modules
+ use elibc_glibc && enable_modules bindings/glibc
+ use X && enable_modules clx/new-clx
+ if use postgres; then
+ enable_modules postgresql
+ append-cppflags -I$(pg_config --includedir)
+ fi
+ if use berkdb; then
+ enable_modules berkeley-db
+ append-cppflags -I/usr/include/db4.8
+ fi
+ use dbus && enable_modules dbus
+ use fastcgi && enable_modules fastcgi
+ use gdbm && enable_modules gdbm
+ use gtk && enable_modules gtk2
+ use pari && enable_modules pari
+ use pcre && enable_modules pcre
+ use svm && enable_modules libsvm
+ use zlib && enable_modules zlib
+
+ if use hyperspec; then
+ CLHSROOT="file:///usr/share/doc/hyperspec/HyperSpec/"
+ else
+ CLHSROOT="http://www.lispworks.com/reference/HyperSpec/"
+ fi
+
+ # configure chokes on --sysconfdir option
+ local configure="./configure --prefix=/usr --libdir=/usr/$(get_libdir) \
+ $(use_with readline) $(use_with unicode) \
+ ${myconf} --hyperspec=${CLHSROOT} ${BUILDDIR}"
+ einfo "${configure}"
+ ${configure} || die "./configure failed"
+
+ IMPNOTES="file://${ROOT%/}/usr/share/doc/${PN}-${PVR}/html/impnotes.html"
+ sed -i "s,http://clisp.cons.org/impnotes/,${IMPNOTES},g" \
+ "${BUILDDIR}"/config.lisp || die "Cannot fix link to implementation notes"
+}
+
+src_compile() {
+ export VARTEXFONTS="${T}"/fonts
+ cd "${BUILDDIR}"
+ # parallel build fails
+ emake -j1
+}
+
+src_install() {
+ pushd "${BUILDDIR}"
+ make DESTDIR="${D}" prefix=/usr install-bin || die "Installation failed"
+ doman clisp.1
+ dodoc ../SUMMARY README* ../src/NEWS ../unix/MAGIC.add ../ANNOUNCE
+ # stripping them removes common symbols (defined but uninitialised variables)
+ # which are then needed to build modules...
+ export STRIP_MASK="*/usr/$(get_libdir)/clisp-${PV}/*/*"
+ popd
+ dohtml doc/impnotes.{css,html} doc/regexp.html doc/clisp.png
+ dodoc doc/{CLOS-guide,LISP-tutorial}.txt
+}
diff --git a/dev-lisp/clisp/files/clisp-2.48-bits_ipctypes_to_sys_ipc.patch b/dev-lisp/clisp/files/clisp-2.48-bits_ipctypes_to_sys_ipc.patch
new file mode 100644
index 00000000000..4711a86decb
--- /dev/null
+++ b/dev-lisp/clisp/files/clisp-2.48-bits_ipctypes_to_sys_ipc.patch
@@ -0,0 +1,21 @@
+diff -ru a/modules/bindings/glibc/linux.lisp b/modules/bindings/glibc/linux.lisp
+--- a/modules/bindings/glibc/linux.lisp 2008-10-10 16:15:49.000000000 +0300
++++ b/modules/bindings/glibc/linux.lisp 2013-04-22 11:12:59.148502615 +0300
+@@ -67,7 +67,7 @@
+ (def-c-type __daddr_t) ; int
+ (def-c-type __caddr_t) ; c-pointer
+ (def-c-type __time_t) ; long
+-(def-c-type __swblk_t) ; long
++;(def-c-type __swblk_t) ; long
+
+ (def-c-type __fd_mask ulong)
+ (eval-when (load compile eval)
+@@ -86,7 +86,7 @@
+
+ (def-c-type __key_t) ; int
+
+-(c-lines "#include <bits/ipctypes.h>~%")
++(c-lines "#include <sys/ipc.h>~%")
+ (def-c-type __ipc_pid_t) ; ushort
+
+ ; --------------------------- <sys/types.h> -----------------------------------
diff --git a/dev-lisp/clisp/files/clisp-2.49-bits_ipctypes_to_sys_ipc.patch b/dev-lisp/clisp/files/clisp-2.49-bits_ipctypes_to_sys_ipc.patch
new file mode 100644
index 00000000000..8037157c951
--- /dev/null
+++ b/dev-lisp/clisp/files/clisp-2.49-bits_ipctypes_to_sys_ipc.patch
@@ -0,0 +1,21 @@
+diff -ru a/modules/bindings/glibc/linux.lisp b/modules/bindings/glibc/linux.lisp
+--- a/modules/bindings/glibc/linux.lisp 2008-10-08 19:36:19.000000000 +0300
++++ b/modules/bindings/glibc/linux.lisp 2013-04-08 00:05:06.028305248 +0300
+@@ -67,7 +67,7 @@
+ (def-c-type __daddr_t) ; int
+ (def-c-type __caddr_t) ; c-pointer
+ (def-c-type __time_t) ; long
+-(def-c-type __swblk_t) ; long
++;(def-c-type __swblk_t) ; long
+
+ (def-c-type __fd_mask ulong)
+ (eval-when (load compile eval)
+@@ -86,7 +86,7 @@
+
+ (def-c-type __key_t) ; int
+
+-(c-lines "#include <bits/ipctypes.h>~%")
++(c-lines "#include <sys/ipc.h>~%")
+ (def-c-type __ipc_pid_t) ; ushort
+
+ ; --------------------------- <sys/types.h> -----------------------------------
diff --git a/dev-lisp/clisp/files/clisp-2.49-get_hostname.patch b/dev-lisp/clisp/files/clisp-2.49-get_hostname.patch
new file mode 100644
index 00000000000..5db3a71efbc
--- /dev/null
+++ b/dev-lisp/clisp/files/clisp-2.49-get_hostname.patch
@@ -0,0 +1,56 @@
+diff -r -U1 clisp-2.49.orig/src/socket.d clisp-2.49/src/socket.d
+--- clisp-2.49.orig/src/socket.d 2009-10-08 21:45:13.000000000 +0700
++++ clisp-2.49/src/socket.d 2013-04-20 16:24:11.133895050 +0700
+@@ -59,5 +59,5 @@
+ Fetches the machine's host name.
+- get_hostname(host =);
+- The name is allocated on the stack, with dynamic extent.
+- < const char* host: The host name.
++ get_hostname(hostname);
++ where hostname is an array of MAXHOTNAMELEN+1 characters.
++ < const char host[]: The host name.
+ (Note: In some cases we could get away with less system calls by simply
+@@ -69,10 +69,8 @@
+ /* present on all supported unix systems and on woe32 */
+- #define get_hostname(host_assignment) \
+- do { var char hostname[MAXHOSTNAMELEN+1]; \
+- begin_system_call(); \
+- if ( gethostname(&hostname[0],MAXHOSTNAMELEN) <0) { SOCK_error(); } \
+- end_system_call(); \
+- hostname[MAXHOSTNAMELEN] = '\0'; \
+- host_assignment &hostname[0]; \
+- } while(0)
++static void get_hostname (char *hostname) {
++ begin_system_call();
++ if (gethostname(hostname,MAXHOSTNAMELEN) < 0) { ANSIC_error(); }
++ end_system_call();
++ hostname[MAXHOSTNAMELEN] = '\0';
++}
+ #else
+@@ -209,4 +207,4 @@
+ (apply #'string-concat hostname " [" (inet-ntop address) "]"))) */
+- var const char* host;
+- get_hostname(host =);
++ var char host[MAXHOSTNAMELEN+1];
++ get_hostname(host);
+ result = asciz_to_string(host,O(misc_encoding)); /* hostname as result */
+@@ -391,4 +389,4 @@
+ if (eq(arg,S(Kdefault))) {
+- var char* host;
+- get_hostname(host =);
++ var char host[MAXHOSTNAMELEN+1];
++ get_hostname(host);
+ begin_system_call();
+@@ -726,3 +724,4 @@
+ if (host[0] == '\0') {
+- get_hostname(host =);
++ var char host[MAXHOSTNAMELEN+1];
++ get_hostname(host);
+ fd = with_host_port(host,port,&connect_to_x_via_ip,NULL);
+@@ -800,4 +799,4 @@
+ if (resolve_p) { /* Fill in hd->truename. */
+- var const char* host;
+- get_hostname(host =); /* was: host = "localhost"; */
++ var char host[MAXHOSTNAMELEN+1];
++ get_hostname(host);
+ ASSERT(strlen(host) <= MAXHOSTNAMELEN);
diff --git a/dev-lisp/clisp/files/clisp-2.49-tinfo.patch b/dev-lisp/clisp/files/clisp-2.49-tinfo.patch
new file mode 100644
index 00000000000..72f40d585b5
--- /dev/null
+++ b/dev-lisp/clisp/files/clisp-2.49-tinfo.patch
@@ -0,0 +1,15 @@
+clisp does not need a full blown ncurses, but it does require a termcap or tinfo
+I would have changed this in src/m4/termcap.m4 but configure.in fails terribly - JeR
+
+
+--- a/src/configure
++++ b/src/configure
+@@ -28613,7 +28613,7 @@
+ return 0;
+ }
+ _ACEOF
+-for ac_lib in '' ncurses termcap; do
++for ac_lib in '' tinfo ncurses termcap; do
+ if test -z "$ac_lib"; then
+ ac_res="none required"
+ else
diff --git a/dev-lisp/clisp/metadata.xml b/dev-lisp/clisp/metadata.xml
new file mode 100644
index 00000000000..271466f882b
--- /dev/null
+++ b/dev-lisp/clisp/metadata.xml
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>common-lisp</herd>
+ <longdescription>
+CLISP is a Common Lisp implementation. It mostly supports the Lisp
+described in the ANSI Common Lisp standard. It includes an
+interpreter, a compiler, almost all of CLOS, a foreign language
+interface and a socket interface. An X11 interface is available
+through CLX and Garnet. Command line editing is provided by readline.
+CLISP runs on microcomputers (OS/2, Windows 95/98/NT/2000/XP, Amiga
+500-4000, Acorn RISC PC) as well as on Unix workstations (GNU/Linux,
+BSD, SVR4, Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI, AIX, Sun3 and
+others) and needs only 2 MB of RAM. The user interface comes in
+German, English, French, Spanish, Dutch and Russian, and can be
+changed at run time.
+</longdescription>
+ <use>
+ <flag name="hyperspec">Use local hyperspec instead of online version</flag>
+ <flag name="new-clx">Build CLISP with support for the NEW-CLX module which is a
+C binding to the Xorg libraries</flag>
+ <flag name="pari">Build CLISP with support for the PARI Computer Algebra System</flag>
+ <flag name="svm">Build CLISP with support for the Support Vector Machine module</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">clisp</remote-id>
+ </upstream>
+</pkgmetadata>